Skip to main content
GET
/
partner
/
orgs
/
{orgId}
Get an organization
curl --request GET \
  --url https://api.onecli.sh/v1/partner/orgs/{orgId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "claimedByEmail": "<string>",
  "claimedAt": "2023-11-07T05:31:56Z",
  "projects": [
    {
      "id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key obtained from the dashboard or GET /user/api-key

Path Parameters

orgId
string
required

Response

Organization

id
string
name
string
slug
string
createdAt
string<date-time>
status
enum<string>

Whether the organization has been claimed by a customer, or detached from the partner.

Available options:
unclaimed,
claimed,
detached
claimedByEmail
string | null

Email of the customer who claimed the organization, if claimed.

claimedAt
string<date-time> | null
projects
object[]